#include <deerith/core/log.h>
#include <deerith/graphics/graphics.h>

#include "detail/graphics.h"

namespace deerith {
	void graphics::init(const GraphicsConfig& config) {
		deerith_graphics_trace("Initializing deerith graphics");
		graphics_config = config;

		init_glfw();
		init_vulkan();
	}

	void graphics::shutdown() {
		deerith_graphics_trace("Shutting down deerith graphics");

		shutdown_vulkan();
		shutdown_glfw();
	}

} // namespace deerith